<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetByExternalReference_Reply StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetByExternalReference_Reply
 * @subpackage Structs
 */
class GetByExternalReference_Reply extends AbstractStructBase
{
    /**
     * The Get_Replies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Reply
     */
    public $Get_Replies;
    /**
     * Constructor method for GetByExternalReference_Reply
     * @uses GetByExternalReference_Reply::setGet_Replies()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Reply $get_Replies
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Reply $get_Replies = null)
    {
        $this
            ->setGet_Replies($get_Replies);
    }
    /**
     * Get Get_Replies value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Reply|null
     */
    public function getGet_Replies()
    {
        return isset($this->Get_Replies) ? $this->Get_Replies : null;
    }
    /**
     * Set Get_Replies value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Reply $get_Replies
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply
     */
    public function setGet_Replies(\FiloBlu\CegidY2\Api\SaleDocumentService\ArrayType\ArrayOfGet_Reply $get_Replies = null)
    {
        if (is_null($get_Replies) || (is_array($get_Replies) && empty($get_Replies))) {
            unset($this->Get_Replies);
        } else {
            $this->Get_Replies = $get_Replies;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
